<?php
class Bi_coluna_analise
{
	private $_codigo;
	private $_coluna;
	private $_tipo;
	private $_oculto;
	private $_mascara;
	private $_analise;
	private $_utilizada_para_calculo;
	private $_agregacao;
	private $_apelido;
	private $_regra_calculada;
	private $_ordenacao;
	public function setCodigo($codigo)
	{
 		$this->_codigo = $codigo;
	}
	public function getCodigo()
	{
 		return $this->_codigo;
	}
	public function setColuna($coluna)
	{
 		$this->_coluna = $coluna;
	}
	public function getColuna()
	{
 		return $this->_coluna;
	}
	public function setTipo($tipo)
	{
 		$this->_tipo = $tipo;
	}
	public function getTipo()
	{
 		return $this->_tipo;
	}
	public function setOculto($oculto)
	{
 		$this->_oculto = $oculto;
	}
	public function getOculto()
	{
 		return $this->_oculto;
	}
	public function setMascara($mascara)
	{
 		$this->_mascara = $mascara;
	}
	public function getMascara()
	{
 		return $this->_mascara;
	}
	public function setAnalise($analise)
	{
 		$this->_analise = $analise;
	}
	public function getAnalise()
	{
 		return $this->_analise;
	}
	public function setUtilizada_para_calculo($utilizada_para_calculo)
	{
 		$this->_utilizada_para_calculo = $utilizada_para_calculo;
	}
	public function getUtilizada_para_calculo()
	{
 		return $this->_utilizada_para_calculo;
	}
	public function setAgregacao($agregacao)
	{
 		$this->_agregacao = $agregacao;
	}
	public function getAgregacao()
	{
 		return $this->_agregacao;
	}
	public function setApelido($apelido)
	{
 		$this->_apelido = $apelido;
	}
	public function getApelido()
	{
 		return $this->_apelido;
	}
	public function setRegra_calculada($regra_calculada)
	{
 		$this->_regra_calculada = $regra_calculada;
	}
	public function getRegra_calculada()
	{
 		return $this->_regra_calculada;
	}
	public function setOrdenacao($ordenacao)
	{
 		$this->_ordenacao = $ordenacao;
	}
	public function getOrdenacao()
	{
 		return $this->_ordenacao;
	}
}